PrintControl(3pm)

NAME
PDL::Perldl2::Plugin::PrintControl - disable default print output

SYNOPSIS
  pdl> $a = 3;
  3
  pdl> $_REPL->load_plugin('PDL::Perldl2::Plugin::PrintControl');

  pdl> $a;

  pdl> $_REPL->print_by_default(1);
  1
  pdl> $a;
  3

DESCRIPTION
By default the Devel::REPL always prints the results of its evaluation. This is fine for small objects but for things like large data objects (e.g. a 100x100 matrix in PDL) the result can be hundreds of lines of output for each command.

This plugin disables the default print output and adds an attribute with accessor method "print_by_default" which can be used to toggle the print default on or off.

METHODS

  print_by_default
By default, the "PrintControl" plugin sets "print_by_default" to 0 (false), which disables automatic printing of results. Call the print_by_default accessor with a 1 (true value) to enable default printing.

  do_print
This is a convenience accessor for the print_by_default attribute. If you call this method without a value, it toggles the current setting. Otherwise, it just sets print_by_default to the value.

It is also available in the "pdl2" shell as the do_print sub with the same operation but with an implicit use of $_REPL.

SEE ALSO
"Devel::REPL"

AUTHOR
Chris Marshall, "<chm at cpan dot org>"

COPYRIGHT AND LICENSE
Copyright (C) 2010 by Christopher Marshall

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.